var handledetail={
	CLASSLIST:{
		CLASS_MASK:"sd-mask",
		CLASS_POPSELECTOR:"sd-pop"
	},
	popchild:{
		item:'<div>\
				<div>亲爱的同学们，使用前请完善以下信息</div>\
				<div>(以后如需修改，请至个人中心)</div>\
			</div>\
			<form class="mui-input-group">\
				<div class="mui-input-row">\
					<label>省份:</label>\
					<select name="province" class="mui-select">\
						<option v-for="item,index in provinces" :value="item.id">{{item.provincename}}</option>\
					</select>\
				</div>\
				<div class="mui-input-row">\
					<label>学历:</label>\
					<select name="dict" class="mui-select">\
						<option v-for="item,index in dicts" :value="item.id">{{item.dict_value}}</option>\
					</select>\
				</div>\
				<div class="mui-button-row">\
					<button type="button" id="pdBtn" class="mui-btn mui-btn-warning" @tap="submit_pd()">提交</button>\
				</div>\
			</form>'
	},
	/**
	 * author:hq time:2019-10-30 depend on jQuery
	 * 处理img table 自适应
	 * @param {Object} item
	 * @param {String} name
	 */
	handle_data:function(item){
		var div = document.createElement("div");
		div.innerHTML = item;
		div.style.margin = "0 auto";
//		console.log(name+"/"+$(div).find("table").length);
		if($(div).find("table").length > 0){
			$(div).find("table").css({ "width": "100%","height": "100%" });
		}
		if($(div).find("img").length > 0){
			$(div).find("img").css({ "width": "100%","height": "100%" });
		}
		return div.innerHTML;
	},
	/**
	 * 依赖mui
	 * 滚动系数设置
	 * @param {Object} obj
	 */
	init_scroll:function(obj){
		var deceleration = mui.os.ios?0.003:0.0009;
		mui(obj).scroll({indicators:true,deceleration:deceleration});
	},
	/**
	 * 等待banner图加载完成	.mui-slider id=bannerList
	 */
	load_banner:function(){
		var timer = setInterval(function() {
			var flag = true;
			mui.each(document.querySelectorAll(".mui-slider-group.mui-slider-loop img"),function(index,obj){
				if (obj.complete) flag = false;
			});
			if(flag){
				mui("#bannerList").slider({interval:1000});
				window.clearInterval(timer);
			}
		}, 50);
	},
	/**蒙版遮罩
	 * @param {Object} callback
	 */
	create_mask:function(callback){
		var element = document.createElement('div');
		element.classList.add(handledetail.CLASSLIST.CLASS_MASK);
		var mask = [element];
		mask._show = false;
		mask.show = function() {
			mask._show = true;
			element.setAttribute('style', 'opacity:1');
			document.body.appendChild(element);
			return mask;
		};
		mask._remove = function() {
			if (mask._show) {
				mask._show = false;
				element.setAttribute('style', 'opacity:0');
				window.setTimeout(function(){
					var body = document.body;
					element.parentNode === body && body.removeChild(element);
				},350);
			}
			return mask;
		};
		mask.close = function() {
			if (callback) {
				if (callback() !== false) {
					mask._remove();
				}
			} else {
				mask._remove();
			}
		};
		return mask;
	},
	create_popSelector:function(callback){
		var element = document.createElement('div');
		element.classList.add(handledetail.CLASSLIST.CLASS_POPSELECTOR);
		element.innerHTML = handledetail.popchild;
		var pop = [element];
		pop._show = false;
		pop.show = function() {
			pop._show = true;
			document.body.appendChild(element);
			return pop;
		};
		pop._remove = function() {
			if (pop._show) {
				pop._show = false;
				element.setAttribute('style', 'display:none');
				window.setTimeout(function(){
					var body = document.body;
					element.parentNode === body && body.removeChild(element);
				},350);
			}
			return pop;
		};
		pop.close = function() {
			if (callback) {
				if (callback() !== false) {
					pop._remove();
				}
			} else {
				pop._remove();
			}
		};
		return pop;
	},
	show_popSelector:function(selector){
		var self = this;
		self.mask = handledetail.create_mask();
		self.mask.show();
		document.querySelector(selector).setAttribute("style","display: block");
	},
	hide_popSelector:function(selector1,selector2){
		document.body.removeChild(document.querySelector(selector1));
		this.mask.close();
		document.body.querySelector(selector2).style.display = "table";
	},
	/**
	 * 第一代重构表格
	 * main
	 */
	setTab:function(){
		var length=($("#item2mobile").find("table").length)/2;//有几个表格
		$("#item2mobile").find("table").each(function(index){
			if(index<length){
				var obj=$(this);
				var res=handledetail.distinguishStyle(obj);
				if(res>0){
					handledetail.setTab2(obj);
				}else{
					handledetail.setTab1(obj);
				}
			}
		});
	},
	setTab1:function(obj){//无合并单元格时，重构
		var th='';
		var tbody='';
		obj.children().children().each(function(index){
			if(index==0){
				var i=0;
				$(this).children().each(function(){
					th+='<th data-field="param'+i+'">'+$.trim($(this).text())+'</th>';
					i++;
				});
			}else{
				var td='';
				$(this).children().each(function(){
					td+='<td>'+$.trim($(this).text())+'</td>';
				});
				tbody+='<tr>'+td+'</tr>';
			}
		});
		var template='<table data-toggle="table" class="table table-bordered table-hover"><thead><tr>'+th+'</tr></thead><tbody>'+tbody+'</tbody></table>';
		obj.replaceWith(template);
	},
	setTab2:function (obj){//有合并单元格时,重构
		var count=[],no=[];
		var th_r0='';
		var thArray=[];
		var tbody='';
		var i=0;
		obj.children().children().eq(0).children().each(function(index){//遍历第一个tr
			var item=$.trim($(this).text());
			var col_num=$(this).attr("colspan");
			var row_num=$(this).attr("rowspan");
			if(row_num != undefined & col_num == undefined){
				var j=i+index;
				th_r0+='<th data-field="param'+j+'" rowspan="'+row_num+'">'+item+'</th>';
			}else{
				th_r0+='<th colspan="'+col_num+'">'+item+'</th>';
				count.push(col_num);
				no.push(index);
				i=parseInt(col_num-1);
			}
		});
		for(var i=0;i<count.length;i++){
			var th='';
			obj.children().children().eq(i+1).children().each(function(index){
				var serial=no[i]+index;
				th+='<th data-field="param'+serial+'">'+$.trim($(this).text())+'</th>';
			});
			thArray.push(th);
		}
		var thead='<tr>'+th_r0+'</tr>';
		obj.children().children().each(function(index){
			if(index>count.length){
				var td='';
				$(this).children().each(function(){
					td+='<td>'+$.trim($(this).text())+'</td>';
				});
				tbody+='<tr>'+td+'</tr>';
			}
		});
		for(var i=0;i<thArray.length;i++){
			thead+='<tr>'+thArray[i]+'</tr>';
		}
		var template='<table data-toggle="table" class="table table-bordered table-hover"><thead>'+thead+'</thead><tbody>'+tbody+'</tbody></table>';
		obj.replaceWith(template);
	},
	distinguishStyle:function (obj){
		var key=0;
		obj.children().children().eq(0).children().each(function(index){//遍历第一个tr
			var col_num=$(this).attr("colspan");
			var row_num=$(this).attr("rowspan");
			if(row_num != undefined) key+=parseInt(row_num);
			if(col_num != undefined) key+=parseInt(col_num);
		});
		return key;
	},
	/**
	 * 依赖mui
	 * 列表加载进度
	 * @param {Object} container 需要设置进度条的容器
	 * @param {Number} progress	起始位置
	 */
	init_progressbar:function(container,progress){
		if (typeof container === 'number') {
			progress = container;
			container = 'body';
		}
		mui(container).progressbar({
			progress: 0
		}).show();
		handledetail.load_progressbar(container,progress);
	},
	load_progressbar:function(container,progress){
		var timer = setInterval(function(){
//			var dom = document.querySelectorAll(".mui-table-view.mui-table-view-chevron img");
			var dom = document.querySelector(".mui-table-view.mui-table-view-chevron").querySelectorAll("img");
			if(dom.length > 0){
				var interval=100 / dom.length;
				mui.each(dom,function(index,item){
					if(item.complete){
						progress += interval;
						mui(container).progressbar().setProgress(progress);
					}
				});
				if (progress >= 100) {
					mui(container).progressbar().hide();
					clearInterval(timer);
				}
			}
		},50);
	}
}
