var loginUtil={
	patterns: {
		account_pattern:/^1[3456789]\d{9}$/,
		password_pattern:/^[0-9a-zA-Z]{6,16}$/
		// password_pattern:/^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{8,16}$/,
//		password_pattern:/^(?![0-9]+$)(?![0-9A-Z]+$)(?![0-9a-z]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{8,16}$/
	},
	verifyPhone: function(account){
		return loginUtil.patterns.account_pattern.test(account);
	},
	verifyPassword: function(pwd){
		return loginUtil.patterns.password_pattern.test(pwd);
	},
	/**
	 * {"code":1,"data":{"refeshTime":"2592000","tokenTime":"604800","userId":84,"token":"955039DA07D34584AB7AF06E4F3C7EBF","refreshToken":"085754C2D2A34243AC7736484E871584"},"msg":"操作成功"}
	 * @param {Object} account
	 * @param {Object} pwd
	 * @param {Object} uuid
	 * @param {Object} callback
	 */
	login: function(account,pwd,uuid,callback){
		callback=callback || $.noop;
		if(loginUtil.verifyPhone(account) && loginUtil.verifyPassword(pwd)){
			mui.ajax('http://47.103.85.125:80/exam_war/user/login',{
				type:'get',
				data:{	username: account,password: pwd },
				dataType:'json',
				success:function(result){
					return callback(result);
				},
				error:function(jqXHR, textStatus, errorThrown){return callback("手机号不存在或密码错误")}
			});
		}else{
			return callback("手机号或密码格式不正确");
		}
	},
	isInstalled: function(id){//true:已安装
		var res = null;
		if(id === "weixin"){
			if(plus.runtime.isApplicationExist({pname:'com.tencent.mm',action:'weixin://'})){
				res = true;
			}else{
				res = false;
			}
		}else if(id === "qq"){
			if(plus.runtime.isApplicationExist({pname:'com.tencent.mobileqq',action:'qq://'})){
				res = true;
			}else{
				res = false;
			}
		}else{
			
		}
		return res;
	}
};
